//
// BeInternetCentral
// Personality Requester
//
// (c) 1997 Hubert Figuiere
// figuiere@kagi.com
//
// 21july1997



#include "app/PersonalityRequester.h"
#include "app/BICCommands.h"
#include "app/BICWindow.h"


/////////////////////////////////////////////////////////
PersonalityRequester::PersonalityRequester(BWindow * parentWin)
	: BWindow(BRect(100, 100, 300, 200), "Personality", B_TITLED_WINDOW, 
				B_NOT_ZOOMABLE | B_NOT_RESIZABLE)
{
	BRect aRect, anotherRect; 
	BView * aView;
	//BCheckBox * aCheckBox;
	
	mParent = parentWin;
	
	aRect = Bounds();
	aView = new BView(aRect, "", B_FOLLOW_ALL, B_WILL_DRAW);
	AddChild(aView);

	anotherRect.right = aRect.right - 10.;
	anotherRect.left = aRect.left + 10.;
	anotherRect.top = aRect.top + 10.;
	anotherRect.bottom = anotherRect.top + 25.;
	mValue = new BTextControl(anotherRect, "datas", "Personality", "", 
					NULL);
	aView->AddChild(mValue);

	anotherRect.right = aRect.right - 10.;
	anotherRect.left = anotherRect.right - 50.;
	anotherRect.bottom = aRect.bottom - 10.;
	anotherRect.top = anotherRect.bottom - 25.;
	mValidate = new BButton(anotherRect, "", "Apply",
					BICWindow::MakeCommandMessage(VALIDATE_REQUESTER));
	aView->AddChild(mValidate);
	mValidate->SetTarget(mParent);
	mValidate->MakeDefault(true);
}



/////////////////////////////////////////////////////////

