//
// BeInternetCentral
// TopicView class
//
// (c) 1997 Hubert Figuiere
// figuiere@kagi.com
//
// 30june1997



#ifndef _TOPIC_VIEW_H_
#define _TOPIC_VIEW_H_

#include <View.h>

#include "sdk/libbic.h"

class TopicView
	: public BView
{
	public:
		TopicView(BRect frame, const char * name);
virtual ~TopicView();

virtual void AttachedToWindow(void);
virtual void MessageReceived(BMessage * msg);

virtual void CurrentPersonalityChanged(BMessage * msg) = 0;	//to be overriden
		char * CurrentPersonality() const
			{ return mCurrentPersonality; };
		void NeedReloadPersonalityList(const char * currentPersonality)
			{ ReloadPersonalityList(mPersonalityMenu, currentPersonality); };
	protected:
		BBox * mBox;
		char * mCurrentPersonality;
		BPopUpMenu * mPersonalityMenu;
		void ReloadPersonalityList(BPopUpMenu * personalityMenu, const char * currentPersonality);
static	status_t LoadKeyIntoTextControl(BTextControl * textControl, 
									const key_id theKey, const key_attribute_id personality,
									key_value & value, ssize_t & size);
									
	private:
		char * mName;
};


#endif
