//
//
// BeInternetCentral Lib
//
// ©1997 Hubert Figuière
//
// May 26th 1997
//
// private header for libbic.h
//

#ifndef _LIBBIC_INTERNAL_H_
#define _LIBBIC_INTERNAL_H_

#define __BUILDING_LIBBIC__
#include "sdk/libbic.h"

extern bic_version _BIC_CURRENT_VERSION_;

extern char * _BIC_DEFAULT_DIRECTORY_;
extern char * _BIC_DEFAULT_REGISTRY_NAME_;

/**** a déplacer dans les structures privées...*/
/*
	Storage in a BMessage for a key
*/
typedef struct {
	char name[KEY_NAME_LENGTH];
	int32 index;
	int32 len;
	char datas[1];			//can take up to len bytes...
} registry_key_storage; 

/*
	storage in a BMessage for an attribute
*/
typedef struct {
	char name[KEY_NAME_LENGTH];
	int32 id;
} registry_key_attribute_storage;

#endif
